<%@ Control language="vb" Inherits="OliverHine.Modules.Analytics.GoogleAnalyticsSettings" CodeBehind="GoogleAnalyticsSettings.ascx.vb" AutoEventWireup="false" Explicit="True" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<asp:Panel ID="pnlSettings" runat="server">
    <dnn:sectionhead id="dshBasic" cssclass="Head" runat="server" text="Basic Configuration" section="pnlBasicSettings"/>
    <div ID="pnlBasicSettings" runat="server">
        
        <dnn:label id="lblTrackingId" runat="server" CssClass="SubHead" controlname="txtTrackingId" suffix=":"></dnn:label>
        <asp:textbox id="txtTrackingId" runat="server" width="200px" cssclass="NormalTextBox"></asp:textbox>
        <br /><br />
        
        <dnn:label id="lblUrlMode" runat="server" CssClass="SubHead" controlname="rblUrlMode" suffix=":"></dnn:label>
        <asp:RadioButtonList ID="rblUrlMode" runat="server" AutoPostBack="true" RepeatDirection="Horizontal">
            <asp:ListItem Value="1">Default</asp:ListItem>
            <asp:ListItem Value="2">Custom Url Parameter</asp:ListItem>
        </asp:RadioButtonList>

        <asp:Panel ID="pnlAdvUrl" runat="server">
            <br />
            <dnn:label id="lblUrlParameter" runat="server" CssClass="SubHead" controlname="txtUrlParameter" suffix=":"/>
            <asp:textbox id="txtUrlParameter" runat="server" textmode="multiline" rows="3" width="600px" columns="75" cssclass="NormalTextBox"></asp:textbox>
        </asp:Panel>
        
        <br />
        <dnn:label id="lblTrackingMode" runat="server" CssClass="SubHead" controlname="rblTrackingMode" suffix=":"></dnn:label>
        <asp:RadioButtonList ID="rblTrackingMode" runat="server" AutoPostBack="true" RepeatDirection="Horizontal">
            <asp:ListItem Value="async">Asynchronous</asp:ListItem>
            <asp:ListItem Value="doubleclick">Asynchronous (doubleclick enabled)</asp:ListItem>
            <asp:ListItem Value="default">Traditional</asp:ListItem>
        </asp:RadioButtonList>
        
        
        <br />
        <dnn:label id="lblDisableTracking" runat="server" CssClass="SubHead" suffix=":"></dnn:label>
        <asp:CheckBox ID="cbxTrackAdminUsers" runat="server" resourcekey="cbxTrackAdminUsers" />&nbsp;
        <asp:CheckBox ID="cbxTrackSuperUsers" runat="server" resourcekey="cbxTrackSuperUsers" />
        
        <br /><br />
        <dnn:label id="lblDisableIPs" runat="server" CssClass="SubHead" controlname="txtDisableIPs" suffix=":"></dnn:label>
        <asp:textbox id="txtDisableIPs" runat="server" width="200px" cssclass="NormalTextBox"></asp:textbox>
        
        <br />
        <dnn:sectionhead id="dshMoreSettings" cssclass="Head" runat="server" text="Advanced Configuration" section="pnlMoreSettings" IsExpanded="false"/>
        <div id="pnlMoreSettings" runat="server">
  
            <dnn:label id="lblSampleRate" runat="server" CssClass="SubHead" controlname="txtSampleRate" suffix=":"></dnn:label>
            <asp:textbox id="txtSampleRate" runat="server" width="50px" cssclass="NormalTextBox"></asp:textbox>

            <br />
            <dnn:label id="lblDomainName" runat="server" CssClass="SubHead" controlname="txtDomainName" suffix=":"></dnn:label>
            <asp:textbox id="txtDomainName" runat="server" width="200px" cssclass="NormalTextBox"></asp:textbox>

            <br />
            <dnn:label id="lblAnonymize" runat="server" CssClass="SubHead" controlname="chkAnonymize" suffix=":"></dnn:label>
            <asp:checkbox id="chkAnonymize" runat="server" width="200px" cssclass="NormalTextBox"></asp:checkbox>
            
            <br />
            <dnn:label id="lblForceSsl" runat="server" CssClass="SubHead" controlname="cbxForceSsl" suffix=":"></dnn:label>
            <asp:checkbox id="cbxForceSsl" runat="server" width="200px" cssclass="NormalTextBox"></asp:checkbox>
        </div>
    </div>
    
    <br />
    <dnn:sectionhead id="dshSegments" cssclass="Head" runat="server" text="Custom Segments Configuration" section="pnlAdvancedSettings" IsExpanded="false"/>
    <div ID="pnlAdvancedSettings" runat="server">
        <dnn:label id="lblSegmentName" runat="server" CssClass="SubHead" controlname="tbxSegmentName" suffix=":"/>
        <asp:TextBox ID="tbxSegmentName" runat="server" />

        <asp:DataGrid ID="grd" runat="server" AutoGenerateColumns="false">
            <Columns>
                <dnn:imagecommandcolumn CommandName="Edit" Text="Edit" ImageUrl="~/images/edit.gif" />
                <dnn:imagecommandcolumn commandname="MoveUp" imageurl="~/images/up.gif" />
                <dnn:imagecommandcolumn commandname="MoveDown" imageurl="~/images/dn.gif" />
                <dnn:textcolumn DataField="RoleId" HeaderText="Role" Visible="False" />
                <asp:TemplateColumn HeaderText="Role"><ItemTemplate> </ItemTemplate></asp:TemplateColumn>
                            
                <dnn:textcolumn DataField="TabId" HeaderText="Tab" Visible="False" />
                <asp:TemplateColumn HeaderText="Page"><ItemTemplate> </ItemTemplate></asp:TemplateColumn>
                            
                <dnn:textcolumn DataField="Label" HeaderText="Name" Width="100px" />
                <dnn:imagecommandcolumn commandname="Delete" imageurl="~/images/delete.gif" />
            </Columns>
        </asp:DataGrid>
        <dnn:CommandButton ImageUrl="~/images/add.gif" id="cmdSegmentAdd" runat="server"  CssClass="CommandButton" ResourceKey="cmdSegmentAdd" borderstyle="none" text="Add Segment" causesvalidation="False"/>
    </div>
    
    <br />
    
    <p>
	    <dnn:commandbutton id="cmdUpdate" runat="server" CssClass="CommandButton" resourcekey="cmdUpdate" ImageUrl="~/images/save.gif" />&nbsp;
	    <dnn:commandbutton id="cmdCancel" runat="server" CssClass="CommandButton" resourcekey="cmdCancel" ImageUrl="~/images/cancel.gif" />
    </p>
</asp:Panel>

<asp:Panel ID="pnlSegmentCreation" runat="server">
<div class="SubHead">Add Custom Segmentation</div>
    Role: <asp:DropDownList ID="ddlRoles" runat="server" /><br />
    Tab: <asp:DropDownList ID="ddlTabs" runat="server" /><br />
    Label: <asp:TextBox ID="tbxLabel" runat="server" /><br />
    <dnn:commandbutton id="cmdUpdateSegment" runat="server" CssClass="CommandButton" resourcekey="cmdUpdate" ImageUrl="~/images/save.gif" />&nbsp;
    <dnn:commandbutton id="cmdCancelSegment" runat="server" CssClass="CommandButton" resourcekey="cmdCancel" ImageUrl="~/images/cancel.gif" />
</asp:Panel>